import request from '@/utils/request'

// 查询常闭式防爆门/防火门列表
export function listDoor(query) {
  return request({
    url: '/dev/door/list',
    method: 'get',
    params: query
  })
}

// 查询常闭式防爆门/防火门详细
export function getDoor(id) {
  return request({
    url: '/dev/door/' + id,
    method: 'get'
  })
}

// 新增常闭式防爆门/防火门
export function addDoor(data) {
  return request({
    url: '/dev/door',
    method: 'post',
    data: data
  })
}

// 修改常闭式防爆门/防火门
export function updateDoor(data) {
  return request({
    url: '/dev/door',
    method: 'put',
    data: data
  })
}

// 删除常闭式防爆门/防火门
export function delDoor(id) {
  return request({
    url: '/dev/door/' + id,
    method: 'delete'
  })
}
